package aicg.wipf.vzuj.bcxo

import aicg.wipf.vzuj.Kmqp.string
import aicg.wipf.vzuj.Npaq
import aicg.wipf.vzuj.Opze
import aicg.wipf.vzuj.Qqmq
import android.app.Activity
import android.app.Dialog
import android.os.Bundle
import android.util.Log
import android.view.ViewGroup
import androidx.core.view.isVisible
import com.blankj.utilcode.util.SPUtils
import com.google.android.gms.ads.AdError
import com.google.android.gms.ads.AdListener
import com.google.android.gms.ads.AdLoader
import com.google.android.gms.ads.AdRequest
import com.google.android.gms.ads.AdValue
import com.google.android.gms.ads.FullScreenContentCallback
import com.google.android.gms.ads.LoadAdError
import com.google.android.gms.ads.OnPaidEventListener
import com.google.android.gms.ads.ResponseInfo
import com.google.android.gms.ads.appopen.AppOpenAd
import com.google.android.gms.ads.interstitial.InterstitialAd
import com.google.android.gms.ads.interstitial.InterstitialAdLoadCallback
import com.google.android.gms.ads.nativead.NativeAd
import com.google.android.gms.ads.rewarded.RewardedAd
import com.google.firebase.analytics.FirebaseAnalytics
import com.google.firebase.analytics.ktx.analytics
import com.google.firebase.ktx.Firebase
import com.test.basd.smartjunkcleaner.R
import org.json.JSONObject
import tinj.jcdv.wpky.Dpyo
import java.util.Calendar
import java.util.UUID

object Fnpc {

    private class EventOnPaidEventListener(private val ad: Any?) : OnPaidEventListener {
        override fun onPaidEvent(adValue: AdValue) {
            ޡޡރއޓޝޡޢ(adValue)
        }

        private fun ޡޡރއޓޝޡޢ(adValue: AdValue) {
            ޙޔކޟޜޗޓބ(adValue)
        }

        private fun ޙޔކޟޜޗޓބ(adValue: AdValue) {
            ޤށޤޙޢފޚޖ(adValue)
        }

        private fun ޤށޤޙޢފޚޖ(adValue: AdValue) {
            val ޣޑޑޣޢޑޝޘ = { ށތޡހހހޏޖ: String -> println(ށތޡހހހޏޖ) }
            ޣޑޑޣޢޑޝޘ("ލވބތޞޙޠޤ!")
            ޥތލޠޞޑޒޚ(adValue)
        }

        private fun ޥތލޠޞޑޒޚ(adValue: AdValue) {
            val ވޖޓޒޣޣޘމ = { ދޅނހޥޙގޒ: String -> println(ދޅނހޥޙގޒ) }
            ވޖޓޒޣޣޘމ("ޡޠޙޗޕދޚމ!")
            val valueMicros = adValue.valueMicros
            abstract class ޢޅޘޗކޙޡޑ {
                abstract fun ގޙޑޔޑތޜޅ()
            }
            class ލޔޏޞޝޤޘފ : ޢޅޘޗކޙޡޑ() {
                override fun ގޙޑޔޑތޜޅ() {
                    println("އޏޟޥއޕފޅ")
                }
            }
            val ޥޖރޔފޠޠރ = ލޔޏޞޝޤޘފ()
            ޥޖރޔފޠޠރ.ގޙޑޔޑތޜޅ()
            val currencyCode = adValue.currencyCode
            val precision = adValue.precisionType

            val obj = JSONObject()
            obj.put(R.string.ޓޛޘބޖ_D.string(), valueMicros)
            obj.put(R.string.ޜޛޛލޥ_D.string(), currencyCode)
            obj.put(R.string.ޛތޗޓޡ_D.string(), precision)

            Firebase.analytics.logEvent(R.string.ޤޜޛޅޙ_D.string(), Bundle().apply {
                putDouble(R.string.ޓޛޘބޖ_D.string(), valueMicros / 1000000.0)
            })

            val params = Bundle()
            val currentImpressionRevenue = adValue.valueMicros.toDouble() / 1000000.0
            params.putDouble(FirebaseAnalytics.Param.VALUE, currentImpressionRevenue)
            params.putString(FirebaseAnalytics.Param.CURRENCY, R.string.ޤޖޠޅފ_D.string())
            class ޔޖލޡޔޣލޚ<T>(val ޢބޠސޖށޖށ: T, val ތފޔޥޞޙޢޕ: Int) {
                constructor(ޢބޠސޖށޖށ: T) : this(ޢބޠސޖށޖށ, 3099) {
                    println("ތފޔޥޞޙޢޕ")
                }
            }
            println(ޔޖލޡޔޣލޚ("ފލޤޑޜޠޅޕ"))
            val precisionType = when (adValue.precisionType) {
                0 -> R.string.ބތތޥބ_D.string()
                1 -> R.string.ރހޖއޓ_D.string()
                2 -> R.string.ޒޝބޟޠ_D.string()
                3 -> R.string.ނޑދޓޙ_D.string()
                else -> R.string.ޅޟނބކ_D.string()
            }
            params.putString(R.string.ޅޜށސތ_D.string(), precisionType)
            fun <T> ޏޝށސކޣޘޚ(ތވޢޤޕޚމވ: T) {
                println(ތވޢޤޕޚމވ)
            }
            ޏޝށސކޣޘޚ(4421)
            ޏޝށސކޣޘޚ("ޞޥށޖގޠޥގ")
            Firebase.analytics.logEvent(R.string.ޓބޖޔޗ_D.string(), params)
            fun މޣޖޒޅވޟސ(ދތތޕޥވޢވ: Int, ޛނމޗޞޣޛޔ: Int): Int {
                return ދތތޕޥވޢވ + ޛނމޗޞޣޛޔ
            }
            val ޘޝޒޓވހސޒ = މޣޖޒޅވޟސ(1588, 4345)
            println(ޘޝޒޓވހސޒ)
            val previousTaichiTroasCache = taichiPref.getFloat(R.string.ޒޚޠޣޒ_D.string(), 0f)
            Log.d("ޕމޛތވޑޜޥ", "ޕމޛތވޑޜޥ")
            val currentTaichiTroasCache = (previousTaichiTroasCache +
                    currentImpressionRevenue).toFloat()
            if (currentTaichiTroasCache >= 0.01) {
                fun ޚޖޟޜފޥމލ(ލޤޥޟޟޟނޞ: Int, ޝޕޜޢލޖޜޟ: Int): Int {
                    return ލޤޥޟޟޟނޞ + ޝޕޜޢލޖޜޟ
                }
                val ޓއޕޤހޛފހ = ޚޖޟޜފޥމލ(3525, 2896)
                println(ޓއޕޤހޛފހ)
                val roasbundle = Bundle()
                val ސޣޡޠނފޘދ = 7511
                val ޑޟލޤޥޞޚޤ = 939
                val ޤޜޡޣނޞޣޑ = ސޣޡޠނފޘދ * ޑޟލޤޥޞޚޤ * ޑޟލޤޥޞޚޤ
                println(ޤޜޡޣނޞޣޑ)
                roasbundle.putDouble(
                    FirebaseAnalytics.Param.VALUE, currentTaichiTroasCache.toDouble()
                )
                roasbundle.putString(FirebaseAnalytics.Param.CURRENCY, R.string.ޤޖޠޅފ_D.string())
                Firebase.analytics.logEvent(R.string.ޅޞޝޔއ_D.string(), roasbundle)
                taichiSharedPreferencesEditor.putFloat(R.string.ޒޚޠޣޒ_D.string(), 0f)
            } else {
                taichiSharedPreferencesEditor.putFloat(R.string.ޒޚޠޣޒ_D.string(), currentTaichiTroasCache)
            }
            taichiSharedPreferencesEditor.commit()

            when (ad) {
                is AppOpenAd -> {
                    val adUnitId = ad.adUnitId
                    class ފޣށސޕށފޔ {
                        fun އޑޣޅބޓރޚ() {
                            println("ޣޏރޟޘޕރޥ")
                        }
                    }
                    ފޣށސޕށފޔ().އޑޣޅބޓރޚ()
                    val loadedAdapterResponseInfo = ad.responseInfo.loadedAdapterResponseInfo
                    val adSourceName = loadedAdapterResponseInfo?.adSourceName
                    val adSourceId = loadedAdapterResponseInfo?.adSourceId
                    val adSourceInstanceName = loadedAdapterResponseInfo?.adSourceInstanceName
                    val adSourceInstanceId = loadedAdapterResponseInfo?.adSourceInstanceId
                    class ޝޛލޘއރޒޣ {
                        fun ޗޏޅޢނޅގޡ() {
                            println("ޘޟޖތލޝޣޝ")
                        }
                    }
                    ޝޛލޘއރޒޣ().ޗޏޅޢނޅގޡ()
                    val sessionId = ad.responseInfo.responseId
                    val extras = ad.responseInfo.responseExtras
                    val ޏޝޅބޜޗދޏ = 9585
                    val ޡޘއޚޑލޑޒ = 5857
                    val ޥފބށޒނޑނ = ޏޝޅބޜޗދޏ * ޡޘއޚޑލޑޒ * ޡޘއޚޑލޑޒ
                    println(ޥފބށޒނޑނ)
                    val mediationGroupName = extras.getString(R.string.ޡޢޅކޒ_D.string())
                    fun ޠޥޢޓޅމދޛ(ޡޙލޅޖޞޕޘ: Int, ޓޓޟޓހޗޛޤ: Int): Int {
                        fun ޑޕޣރޡފޖޗ(ޓޞނޞޝޥޔޕ: Int, ޝޝޗޣޢޞޡޔ: Int): Int {
                            return ޓޞނޞޝޥޔޕ + ޝޝޗޣޢޞޡޔ
                        }
                        return ޑޕޣރޡފޖޗ(ޡޙލޅޖޞޕޘ, ޓޓޟޓހޗޛޤ)
                    }
                    val ޚޝހބޅޔޒޑ = ޠޥޢޓޅމދޛ(3428, 3008)
                    println(ޚޝހބޅޔޒޑ)
                    val mediationABTestName = extras.getString(R.string.ދދޢޒޖ_D.string())
                    abstract class ޘޏބވޅޗޤޠ {
                        abstract fun ޤޙޝޣހސޖޜ()
                    }
                    class ޟއޟފޒޛދޙ : ޘޏބވޅޗޤޠ() {
                        override fun ޤޙޝޣހސޖޜ() {
                            println("ޕކޞޞޙވރޓ")
                        }
                    }
                    val ޒޥޛފޞޔޅޖ = ޟއޟފޒޛދޙ()
                    ޒޥޛފޞޔޅޖ.ޤޙޝޣހސޖޜ()
                    val mediationABTestVariant = extras.getString(R.string.ޅޖފޅޥ_D.string())
                    obj.put(R.string.ޞޠށމށ_D.string(), adUnitId)
                    class އޛޅޕދލޞޒ<T>(val ޗޝޡޟޟހގދ: T, val ޠނޞޑޤވޟދ: Int) {
                        constructor(ޗޝޡޟޟހގދ: T) : this(ޗޝޡޟޟހގދ, 9775) {
                            println("ޠނޞޑޤވޟދ")
                        }
                    }
                    println(އޛޅޕދލޞޒ("ޢޒސޝމސޟޔ"))
                    obj.put(R.string.ބޤރމޕ_D.string(), adSourceName)
                    obj.put(R.string.ށޘވގޠ_D.string(), adSourceId)
                    obj.put(R.string.ޛޟޞނޥ_D.string(), adSourceInstanceName)
                    obj.put(R.string.ޕޗޕޡޔ_D.string(), adSourceInstanceId)
                    obj.put(R.string.ފޛޘހށ_D.string(), mediationGroupName)
                    obj.put(R.string.ޛރޓޘޢ_D.string(), mediationABTestName)
                    obj.put(R.string.ޓޣރޘކ_D.string(), mediationABTestVariant)
                    class ޖޣޣޝޑމދޖ(val ހވޟޣޕޤޤޤ: String, val ޞޝޤޥޒޖގޠ: Int)
                    println(ޖޣޣޝޑމދޖ("ށޑޅޖޣޟޑސ", 319))
                    obj.put(R.string.ނޗލޑޚ_D.string(), sessionId)
                }

                is InterstitialAd -> {
                    class ދޟޗތޣޑޠފ(val ޕޜކޜސޞޣކ: String, val ޚޣދޣޚޛޡޤ: Int)
                    println(ދޟޗތޣޑޠފ("ކރދށޛޝވޢ", 8028))
                    val adUnitId = ad.adUnitId
                    val loadedAdapterResponseInfo = ad.responseInfo.loadedAdapterResponseInfo
                    abstract class ޏޙޏދރދގޒ {
                        abstract fun ރލވލޝޤއގ()
                    }
                    class ޅރޘބޏނމޏ : ޏޙޏދރދގޒ() {
                        override fun ރލވލޝޤއގ() {
                            println("ޘކޑޟޚލނވ")
                        }
                    }
                    val ލނރށހޚޣޜ = ޅރޘބޏނމޏ()
                    ލނރށހޚޣޜ.ރލވލޝޤއގ()
                    val adSourceName = loadedAdapterResponseInfo?.adSourceName
                    class ށހހޒށޗފވ {
                        val ޕދކޑޥބޙޒ by lazy {
                            println("ޠޢގލޒކނފ")
                            "ޒޟޑޢޤސގޘ!"
                        }
                    }
                    val ޣޤރނޛޜޔޑ = ށހހޒށޗފވ()
                    println(ޣޤރނޛޜޔޑ.ޕދކޑޥބޙޒ)
                    val adSourceId = loadedAdapterResponseInfo?.adSourceId
                    val adSourceInstanceName = loadedAdapterResponseInfo?.adSourceInstanceName
                    val adSourceInstanceId = loadedAdapterResponseInfo?.adSourceInstanceId
                    val sessionId = ad.responseInfo.responseId
                    class ދޔޥޝވޛޑނ<T>(val ދށޝޚޝހޡޕ: T)
                    val ޞޣޤޟސޛރސ = ދޔޥޝވޛޑނ(9608)
                    val ގށއޑޓޟޝޚ = ދޔޥޝވޛޑނ("ޞޔޗޛބލޔޔ")
                    println(ޞޣޤޟސޛރސ)
                    println(ގށއޑޓޟޝޚ)
                    val extras = ad.responseInfo.responseExtras
                    val mediationGroupName = extras.getString(R.string.ޡޢޅކޒ_D.string())
                    val mediationABTestName = extras.getString(R.string.ދދޢޒޖ_D.string())
                    Log.d("ޞރޥވޝޤޚޥ", "ޞރޥވޝޤޚޥ")
                    val mediationABTestVariant = extras.getString(R.string.ޅޖފޅޥ_D.string())
                    obj.put(R.string.ޞޠށމށ_D.string(), adUnitId)
                    fun ފވލޠރޅޡޕ(ޗނވޤދޑޥޠ: Int, ގޗޤޤޢތޔޣ: Int): Int {
                        return ޗނވޤދޑޥޠ + ގޗޤޤޢތޔޣ
                    }
                    val ހޑޟނޙޝޝފ = ފވލޠރޅޡޕ(2432, 4801)
                    println(ހޑޟނޙޝޝފ)
                    obj.put(R.string.ބޤރމޕ_D.string(), adSourceName)
                    obj.put(R.string.ށޘވގޠ_D.string(), adSourceId)
                    fun ޖޝނބފޅޢޝ() {
                        fun ށޥރޅޠބޡރ(މޓއރޔޓހޅ: Int) {
                            println(މޓއރޔޓހޅ)
                        }
                        ށޥރޅޠބޡރ(2995)
                        ށޥރޅޠބޡރ(5418)
                        ށޥރޅޠބޡރ(8130)
                    }
                    ޖޝނބފޅޢޝ()
                    obj.put(R.string.ޛޟޞނޥ_D.string(), adSourceInstanceName)
                    obj.put(R.string.ޕޗޕޡޔ_D.string(), adSourceInstanceId)
                    class ޗޑކޟޤޜޡކ<T>(ޢސޒޥޢޘނޥ: T) {
                        init {
                            println("ޔލޒޅޒޑނޔ: $ޢސޒޥޢޘނޥ")
                        }
                    }
                    println(ޗޑކޟޤޜޡކ("ޕތތހޙޣކޔ"))
                    obj.put(R.string.ފޛޘހށ_D.string(), mediationGroupName)
                    obj.put(R.string.ޛރޓޘޢ_D.string(), mediationABTestName)
                    obj.put(R.string.ޓޣރޘކ_D.string(), mediationABTestVariant)
                    fun String.ށޛޅޣށޘޠހ(): Boolean {
                        return this == this.reversed()
                    }
                    val ޝޓޏލޡޡހސ = "ޡކޕޙފޝބގ"
                    val ޜޣސޠކޚޠޒ = ޝޓޏލޡޡހސ.ށޛޅޣށޘޠހ()
                    println(ޜޣސޠކޚޠޒ)
                    obj.put(R.string.ނޗލޑޚ_D.string(), sessionId)
                }

                is RewardedAd -> {
                    class ބޠގޡޤސލސ<T>(val ޜޚބޜޑނކޤ: T)
                    val ޕޛޕޘފޜލސ = ބޠގޡޤސލސ(4700)
                    val އހޙސޓސވޑ = ބޠގޡޤސލސ("ޡޠޘމޞޝޟޤ")
                    println(ޕޛޕޘފޜލސ.ޜޚބޜޑނކޤ)
                    println(އހޙސޓސވޑ.ޜޚބޜޑނކޤ)
                    val loadedAdapterResponseInfo = ad.responseInfo.loadedAdapterResponseInfo
                    val adSourceName = loadedAdapterResponseInfo?.adSourceName
                    val adSourceId = loadedAdapterResponseInfo?.adSourceId
                    val adSourceInstanceName = loadedAdapterResponseInfo?.adSourceInstanceName
                    val adSourceInstanceId = loadedAdapterResponseInfo?.adSourceInstanceId
                    val sessionId = ad.responseInfo.responseId
                    fun ވޤތޕޖއޑކ(ނޛފޜތޤނޒ: Int, ޔމނޕގޚލހ: Int): Int {
                        return ނޛފޜތޤނޒ + ޔމނޕގޚލހ
                    }
                    println(ވޤތޕޖއޑކ(8049, 819))
                    val extras = ad.responseInfo.responseExtras
                    class ސނޠޑކޥނހ<T>(ޘމޟސޜދޛޓ: T) {
                        init {
                            println("ޏނޟޟޡޞޚޛ: $ޘމޟސޜދޛޓ")
                        }
                    }
                    println(ސނޠޑކޥނހ("ލސޙލދސމޣ"))
                    val mediationGroupName = extras.getString(R.string.ޡޢޅކޒ_D.string())
                    class ޟޙއޤޣޙޥމ<T>(val ޟޢޟހމޖޗޟ: T)
                    val ޖފޙޑސޠޘޑ = ޟޙއޤޣޙޥމ(3557)
                    val ޚލޞދޤޡޓހ = ޟޙއޤޣޙޥމ("ބޑޣޔޛނށޤ")
                    println(ޖފޙޑސޠޘޑ)
                    println(ޚލޞދޤޡޓހ)
                    val mediationABTestName = extras.getString(R.string.ދދޢޒޖ_D.string())
                    class ހޜރނޘދޞޙ<T>(ޘޡދޢށތގޜ: T) {
                        init {
                            println("ޟޏޓޠށމޗސ: $ޘޡދޢށތގޜ")
                        }
                    }
                    println(ހޜރނޘދޞޙ("ބކޗގއއޕޒ"))
                    val mediationABTestVariant = extras.getString(R.string.ޅޖފޅޥ_D.string())
                    class މޝޘޑޓރލހ {
                        inner class ތޝދއގކނށ {
                            fun ށދޗޠތހޕދ() {
                                println("ޟޙޜލޡޅށޜ")
                            }
                        }
                    }
                    val ހޡޣޟވރޓޥ = މޝޘޑޓރލހ().ތޝދއގކނށ()
                    ހޡޣޟވރޓޥ.ށދޗޠތހޕދ()
                    obj.put(R.string.ބޤރމޕ_D.string(), adSourceName)
                    obj.put(R.string.ށޘވގޠ_D.string(), adSourceId)
                    class ޅއހޥރސބޙ<T, K>(val ޠޗޔބޔޝށރ: T, val ޕޢވފގޓޣޡ: K) {
                        init {
                            println("ނޝކޕޚޠޞޏ")
                        }
                    }
                    val ށޕޡފބޥގޔ = ޅއހޥރސބޙ("ޔޒޚޒޔޘޤޥ", 4956)
                    println(ށޕޡފބޥގޔ)
                    obj.put(R.string.ޛޟޞނޥ_D.string(), adSourceInstanceName)
                    obj.put(R.string.ޕޗޕޡޔ_D.string(), adSourceInstanceId)
                    class މޝޕޙޑޛހޘ<T, K>(val ތޢޒޛވދޛލ: T, val ކލޠވޛށފޒ: K) {
                        init {
                            println("ޞޗޜލޒރޠކ")
                        }
                    }
                    val ޓޛޜޚޖމޖހ = މޝޕޙޑޛހޘ("ޗކރއޣރޣޟ", 7758)
                    println(ޓޛޜޚޖމޖހ)
                    obj.put(R.string.ފޛޘހށ_D.string(), mediationGroupName)
                    obj.put(R.string.ޛރޓޘޢ_D.string(), mediationABTestName)
                    obj.put(R.string.ޓޣރޘކ_D.string(), mediationABTestVariant)
                    class ގޑވޏމޛޖޑ {
                        fun ބޏޤޣދޕދނ() {
                            println("ޘޏޞޞޝޞޜޝ")
                        }
                    }
                    ގޑވޏމޛޖޑ().ބޏޤޣދޕދނ()
                    obj.put(R.string.ނޗލޑޚ_D.string(), sessionId)
                }

                is NativeAd -> {
                    val loadedAdapterResponseInfo = ad.responseInfo?.loadedAdapterResponseInfo
                    val adSourceName = loadedAdapterResponseInfo?.adSourceName
                    fun ޏޏޅޅށޥޘށ(ޖތސޕރފލޜ: String) {
                        println("tag, $ޖތސޕރފލޜ!")
                    }
                    ޏޏޅޅށޥޘށ("ށނޣޒޡޘޏދ")
                    val adSourceId = loadedAdapterResponseInfo?.adSourceId
                    fun ތނޛހޜޓޘޣ(ސއއބދތގޕ: String) {
                        println("tag, $ސއއބދތގޕ!")
                    }
                    ތނޛހޜޓޘޣ("ޡޕޣށޏޤޠޝ")
                    val adSourceInstanceName = loadedAdapterResponseInfo?.adSourceInstanceName
                    class ޙދޔމޢޑފގ<T, K>(val ޥޟޡޤކޡޙތ: T, val ކދޛޞޟރޞފ: K) {
                        init {
                            println("ޗށވޢޗޒޅޚ")
                        }
                    }
                    val ޡޜސފރޣކޖ = ޙދޔމޢޑފގ("ބޖގޘޤތތނ", 6177)
                    println(ޡޜސފރޣކޖ)
                    val adSourceInstanceId = loadedAdapterResponseInfo?.adSourceInstanceId
                    val sessionId = ad.responseInfo?.responseId
                    val extras = ad.responseInfo?.responseExtras
                    val mediationGroupName = extras?.getString(R.string.ޡޢޅކޒ_D.string())
                    val mediationABTestName = extras?.getString(R.string.ދދޢޒޖ_D.string())
                    fun <T> ޣޣގބހނޕރ(ދޥޝޠޕޘޛޣ: T) {
                        println(ދޥޝޠޕޘޛޣ)
                    }
                    ޣޣގބހނޕރ(7717)
                    ޣޣގބހނޕރ("ޗވޜޢވޢޕޓ")
                    val mediationABTestVariant = extras?.getString(R.string.ޅޖފޅޥ_D.string())
                    obj.put(R.string.ބޤރމޕ_D.string(), adSourceName)
                    obj.put(R.string.ށޘވގޠ_D.string(), adSourceId)
                    obj.put(R.string.ޛޟޞނޥ_D.string(), adSourceInstanceName)
                    obj.put(R.string.ޕޗޕޡޔ_D.string(), adSourceInstanceId)
                    obj.put(R.string.ފޛޘހށ_D.string(), mediationGroupName)
                    fun ޏޑގޞށމދޕ(ބޑށކފޅޥޢ: Int, ޡޒކޡޔގތޢ: Int): Int {
                        return ބޑށކފޅޥޢ + ޡޒކޡޔގތޢ
                    }
                    val ޤޥޠށޙޝޗއ = ޏޑގޞށމދޕ(8228, 6184)
                    println(ޤޥޠށޙޝޗއ)
                    obj.put(R.string.ޛރޓޘޢ_D.string(), mediationABTestName)
                    obj.put(R.string.ޓޣރޘކ_D.string(), mediationABTestVariant)
                    obj.put(R.string.ނޗލޑޚ_D.string(), sessionId)
                }
            }
            Opze.event(R.string.ޤޜޛޅޙ_D.string(), ext = obj)
        }
    }

    private var mOpenAd: AppOpenAd? = null

    private var interAd: InterstitialAd? = null

    private var nativeAd: NativeAd? = null

    var isBlack = false
        get() {
            return SPUtils.getInstance().getBoolean(R.string.ތކޢޅނ_D.string(), field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put(R.string.ތކޢޅނ_D.string(), value, true)
        }

    private var isLoading = false

    private var loadingListener: (() -> Unit)? = null

    private val taichiSharedPreferencesEditor by lazy {
        fun String.ސޛތނޡޥރޜ(): Boolean {
            return this == this.reversed()
        }
        val މށޞކހޚޗތ = "ނޙތޛޗޓޑޟ"
        val ޙޓރވޝޚޢޢ = މށޞކހޚޗތ.ސޛތނޡޥރޜ()
        println(ޙޓރވޝޚޢޢ)
        taichiPref.edit()
    }

    private val mRequest = AdRequest.Builder().build()

    private val taichiPref by lazy {
        Qqmq.context.getSharedPreferences(R.string.ޒޚޠޣޒ_D.string(), 0)
    }

    private var curSingleAdClick = 0

    private var lastObj: Any? = null

    private val typeShow = R.string.ދމވޏޖ_D.string()

    private var nativeLoadTime = Long.MAX_VALUE

    private var interLoadTime = Long.MAX_VALUE

    private var openLoadTime = Long.MAX_VALUE

    var nativeAdShowCount = 40
        get() {
            return SPUtils.getInstance().getInt(R.string.ޥޥޤފޖ_D.string(), field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put(R.string.ޥޥޤފޖ_D.string(), value)
        }

    var adShowCount = 80
        get() {
            return SPUtils.getInstance().getInt(R.string.ކޥޖޙހ_D.string(), field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put(R.string.ކޥޖޙހ_D.string(), value)
        }

    var isNowPlayAd = 0
        get() {
            return SPUtils.getInstance().getInt(R.string.ފޖލޔޝ_D.string(), field)
        }
        set(value) {
            field = value
            SPUtils.getInstance().put(R.string.ފޖލޔޝ_D.string(), value)
        }

    fun showAppOpenAd(activity: Activity, skip: Boolean = false, onHidden: (() -> Unit)? = null) {
        ޢޟށޔހޤޠކ(activity, skip, onHidden)
    }

    private fun ޣޛވޜޒޙތޤ(type: String, isNative: Boolean): Long {
        return ޡޖޕހކޙޟޞ(type, isNative)
    }

    private fun ނށމޝޅޚސޅ() {
        ޖޠތގކޤޅޠ()
    }

    private fun click(responseInfo: ResponseInfo?, adUnit: String) {
        އޑޒޒމޢދޑ(responseInfo, adUnit)
    }

    private fun ދސލޏޅދވޓ(responseInfo: ResponseInfo?, adUnit: String) {
        ފފއޓޟޞޠޞ(responseInfo, adUnit)
    }

    private fun addTodayCount(type: String, isNative: Boolean) {
        val todayCount = getTodayCount(type, isNative)
        SPUtils.getInstance()
            .put(R.string.ޕނޣޑގ_D.string((if (isNative) "native" else "other").toString(), (type).toString()), todayCount + 1)
    }

    private fun ބޢޥއގކޞޓ(obj: Any?) {
        fun ޘޤފބފޒޙޖ() {
            fun ޛޣމހޡޡޟޘ(ވއޟޠޘޓކޝ: Int) {
                println(ވއޟޠޘޓކޝ)
            }
            ޛޣމހޡޡޟޘ(7557)
            ޛޣމހޡޡޟޘ(6311)
            ޛޣމހޡޡޟޘ(2011)
        }
        ޘޤފބފޒޙޖ()
        ޣޗޖޗޔސޑޖ(obj)
    }

    private fun ގޔޤޝޤޙދޏ(obj: Any?) {
        ޖހޑޞޜޝކޡ(obj)
    }

    private fun ޜޅޙޅހލޝލ(activity: Activity, skip: Boolean = false, onHidden: (() -> Unit)? = null) {
        ޅށޅޓޤޢޛޒ(activity, skip, onHidden)
    }

    private fun ށކގނޏވޥވ(skip: Boolean = false, onLoad: (() -> Unit)? = null) {
        class ޏޚޒބދކޏދ<T>(val ޢޒޘޒޗޜޚމ: T, val ހޤޔހދޚޔޛ: Int) {
            constructor(ޢޒޘޒޗޜޚމ: T) : this(ޢޒޘޒޗޜޚމ, 7843) {
                println("ހޤޔހދޚޔޛ")
            }
        }
        println(ޏޚޒބދކޏދ("ޡޕދޢހޏޛޟ"))
        ޗޅޞޑޕޓޗރ(skip, onLoad)
    }

    private fun އޑޒޒމޢދޑ(responseInfo: ResponseInfo?, adUnit: String) {
        ޣޛޛޚޘޖހލ(responseInfo, adUnit)
    }

    private fun ޖޠތގކޤޅޠ() {
        އޛމތޜގޠޤ()
    }

    private fun show(responseInfo: ResponseInfo?, adUnit: String, activity: Activity? = null) {
        class ޢލރރށޤކނ {
            inner class ޥދޙތނޗބޘ {
                fun ތޗޥޞޤށރޤ() {
                    println("ލތޣޒޒގޥޙ")
                }
            }
        }
        val ށޔޚބޕލޥއ = ޢލރރށޤކނ().ޥދޙތނޗބޘ()
        ށޔޚބޕލޥއ.ތޗޥޞޤށރޤ()
        addTodayCount(typeShow, adUnit == R.string.ވހހޏޚ_D.string())
        val response = responseInfo?.adapterResponses?.getOrNull(0)
        val obj = JSONObject()
        obj.put(R.string.ޝއޒޡހ_D.string(), response?.adSourceName)
        obj.put(R.string.ޓބޕދފ_D.string(), adUnit)
        class ޛވޚޒއރޕޅ<T>(val ފޤޓޕދތޒޛ: T, val ޕޟޓހޑޛޙޟ: Int) {
            constructor(ޘޠނވލޣހޞ: T) : this(ޘޠނވލޣހޞ, 4029) {
                println("ރޑޑއތޓޡޙ")
            }
        }
        println(ޛވޚޒއރޕޅ("ޤޥތޑޤޟޖޒ"))
        obj.put(R.string.ޖޤބޙހ_D.string(), responseInfo?.mediationAdapterClassName)
        class ޢށއވޣޗޤޡ {
            inner class ޓޢނޚޝޙސޛ {
                fun ތޚޥޙޟޞޡޘ() {
                    println("ގޓއޜޥޘޛބ")
                }
            }
        }
        val ދފނޕގޒޞތ = ޢށއވޣޗޤޡ().ޓޢނޚޝޙސޛ()
        ދފނޕގޒޞތ.ތޚޥޙޟޞޡޘ()
        val credentials = mapOf(
            R.string.ޑފޏރފ_D.string() to response?.credentials?.get(R.string.ޑފޏރފ_D.string()), R.string.ސޑކއޑ_D.string() to response?.credentials?.get(R.string.ސޑކއޑ_D.string()), R.string.ޜޤސޚޣ_D.string() to response?.credentials?.get(R.string.ޜޤސޚޣ_D.string())
        )
        obj.put(R.string.ޒޡޒޤޑ_D.string(), credentials.toString())
        obj.put(R.string.ނޗލޑޚ_D.string(), responseInfo?.responseId)
        obj.put(R.string.ބތހޙޘ_D.string(), activity?.javaClass?.simpleName)
        Opze.event(R.string.ޢޓނޡޡ_D.string(), ext = obj)
    }

    private fun ކޠގޙށޖޠމ(responseInfo: ResponseInfo?, adUnit: String) {
        fun ޕޚތރޏހތހ(ސޑޡޟފޒޡޤ: String) {
            println("tag, $ސޑޡޟފޒޡޤ!")
        }
        ޕޚތރޏހތހ("ކފޢދލޑޣދ")
        ދސލޏޅދވޓ(responseInfo, adUnit)
    }

    fun isAdLimit(isNative: Boolean = false) = getTodayCount(typeShow, isNative) % 1000 >= getAdShowCount(isNative)

    fun isOpenAdLoaded() = mOpenAd != null

    private fun ޔޗޔރޏޛތގ(activity: Activity?, parent: ViewGroup) {
        ޚސޘޘޡޠޗވ(activity, parent)
    }

    private fun ބޅޕޕޗޣޣޕ(
        responseInfo: ResponseInfo?, adUnit: String, error: String? = null, reqId: String? = null
    ) {
        val obj = JSONObject()
        if (responseInfo != null) {
            class ޛޟޒވޅޑޝޒ {
                fun ދދޣހޙލޗޤ() {
                    println("ޤގޢޕބޕޟފ")
                }
            }
            ޛޟޒވޅޑޝޒ().ދދޣހޙލޗޤ()
            val response = responseInfo.adapterResponses.getOrNull(0)
            if (response != null) {
                obj.put(R.string.ޝއޒޡހ_D.string(), response.adSourceName)

                class ޞބޟޒޡޝޅޕ<T, K>(val ޟޕޏޑޚބޒޤ: T, val ދގގކޅޣޥޤ: K) {
                    init {
                        println("ޑވވޥޝޟޣށ")
                    }
                }
                val ޠޘލޕޕނޕޜ = ޞބޟޒޡޝޅޕ("ވޤޜޓޡކޢޖ", 3348)
                println(ޠޘލޕޕނޕޜ)
                val credentials = mapOf(
                    R.string.ޑފޏރފ_D.string() to response.credentials.get(R.string.ޑފޏރފ_D.string()), R.string.ސޑކއޑ_D.string() to response.credentials.get(R.string.ސޑކއޑ_D.string()), R.string.ޜޤސޚޣ_D.string() to response.credentials.get(R.string.ޜޤސޚޣ_D.string())
                )
                obj.put(R.string.ޒޡޒޤޑ_D.string(), credentials.toString())
            }
            obj.put(R.string.ނޗލޑޚ_D.string(), responseInfo.responseId)
        }
        obj.put(R.string.ޖޤބޙހ_D.string(), responseInfo?.mediationAdapterClassName)
        obj.put(R.string.ޓބޕދފ_D.string(), adUnit)
        obj.put(R.string.ޗޙޟޛސ_D.string(), reqId)
        if (error == null) {
            class ޘލޙޜޗޣބޜ {
                inner class ޤމލޛގޜޏޜ {
                    fun ދޙއޤކބޛޞ() {
                        println("ޞޣލޔޜޒޑޞ")
                    }
                }
            }
            val ވޏޥޣޛށޜލ = ޘލޙޜޗޣބޜ().ޤމލޛގޜޏޜ()
            ވޏޥޣޛށޜލ.ދޙއޤކބޛޞ()
            obj.put(R.string.އޠޞޟޚ_D.string(), "1")
        } else {
            obj.put(R.string.ޒޘޢށޖ_D.string(), error)
            class ޥލޖދތމވޥ {
                inner class ޙޚރތނޤޟޛ {
                    fun ޡޟފޣރޗރޞ() {
                        println("ޖޠޑއނކކޚ")
                    }
                }
            }
            val ޢޗޒޑޟއޏޜ = ޥލޖދތމވޥ().ޙޚރތނޤޟޛ()
            ޢޗޒޑޟއޏޜ.ޡޟފޣރޗރޞ()
            obj.put(R.string.އޠޞޟޚ_D.string(), "2")
        }
        Opze.event(R.string.ޜފޣޖގ_D.string(), ext = obj)
    }

    private fun ޢޟށޔހޤޠކ(activity: Activity, skip: Boolean = false, onHidden: (() -> Unit)? = null) {
        fun ހޛޡގޥކޓޛ(ޡގޢޡގޔޤޤ: Int, ޝފޡޗގމގގ: Int): Int {
            return ޡގޢޡގޔޤޤ + ޝފޡޗގމގގ
        }
        val ޅވނޑޞޣނސ = ހޛޡގޥކޓޛ(7223, 6116)
        println(ޅވނޑޞޣނސ)
        ޥޥޔޝމޕޏޛ(activity, skip, onHidden)
    }

    private fun ކނޘމޟޠޖޜ(skip: Boolean = false, onLoad: (() -> Unit)? = null) {
        ޤތރޥޚފޔޛ(skip, onLoad)
    }

    private fun onAdClick(obj: Any?) {
        val ނރޠޠޟޟޓފ = 5847
        val ގޘޅޛޞޡއޞ = 9447
        val ޤޣޔޔޠޖކއ = ނރޠޠޟޟޓފ * ގޘޅޛޞޡއޞ * ގޘޅޛޞޡއޞ
        println(ޤޣޔޔޠޖކއ)
        ބޢޥއގކޞޓ(obj)
    }

    private fun ފފއޓޟޞޠޞ(responseInfo: ResponseInfo?, adUnit: String) {

        val response = responseInfo?.adapterResponses?.getOrNull(0)
        val obj = JSONObject()
        obj.put(R.string.ޝއޒޡހ_D.string(), response?.adSourceName)
        fun ލއޑޜޢޥތޝ() {
            fun ބނޗސޕމށގ(ޙސލޘޠއޞޔ: Int) {
                println(ޙސލޘޠއޞޔ)
            }
            ބނޗސޕމށގ(5652)
            ބނޗސޕމށގ(2571)
            ބނޗސޕމށގ(7660)
        }
        ލއޑޜޢޥތޝ()
        obj.put(R.string.ޓބޕދފ_D.string(), adUnit)

        val credentials = mapOf(
            R.string.ޑފޏރފ_D.string() to response?.credentials?.get(R.string.ޑފޏރފ_D.string()), R.string.ސޑކއޑ_D.string() to response?.credentials?.get(R.string.ސޑކއޑ_D.string()), R.string.ޜޤސޚޣ_D.string() to response?.credentials?.get(R.string.ޜޤސޚޣ_D.string())
        )
        obj.put(R.string.ޒޡޒޤޑ_D.string(), credentials.toString())
        obj.put(R.string.ނޗލޑޚ_D.string(), responseInfo?.responseId)
        obj.put(R.string.ޖޤބޙހ_D.string(), responseInfo?.mediationAdapterClassName)
        Opze.event(R.string.ޔޗލޝށ_D.string(), ext = obj)
    }

    private fun ޡޖޕހކޙޟޞ(type: String, isNative: Boolean): Long {
        return ޟޙޏމފޒޘޠ(type, isNative)
    }

    fun showNativeAd(activity: Activity?, parent: ViewGroup) {
        ޏޟޥޔޕކޜށ(activity, parent)
    }

    private fun ޟނޚޗޤޙމގ(
        responseInfo: ResponseInfo?, adUnit: String, error: String? = null, reqId: String? = null
    ) {
        fun ފގނޏޡޟލޚ(ނވގޝޡއހޏ: Int, ޚޤނޔމޑޗޔ: Int): Int {
            return ނވގޝޡއހޏ + ޚޤނޔމޑޗޔ
        }
        val ތއކބޥޓޥޕ = ފގނޏޡޟލޚ(698, 7852)
        println(ތއކބޥޓޥޕ)
        ޝޞޏޑބޓސޗ(responseInfo, adUnit, error, reqId)
    }

    fun loadAppOpenAd(skip: Boolean = false, onLoad: (() -> Unit)? = null) {
        ށކގނޏވޥވ(skip, onLoad)
    }

    private fun pull(
        responseInfo: ResponseInfo?, adUnit: String, error: String? = null, reqId: String? = null
    ) {
        ޟނޚޗޤޙމގ(responseInfo, adUnit, error, reqId)
    }

    private fun ޖހޑޞޜޝކޡ(obj: Any?) {
        if (lastObj == obj) {
            curSingleAdClick++
        } else {
            if (System.currentTimeMillis() < 9675) {
                println(System.currentTimeMillis())
            }
            lastObj = obj
            if (System.currentTimeMillis() < 8811) {
                println(System.currentTimeMillis())
            }
            curSingleAdClick = 1
        }

    }

    fun loadNativeAd() {
        ދޘޖށޑނވޔ()
    }

    private fun ޚސޘޘޡޠޗވ(activity: Activity?, parent: ViewGroup) {
        if (isBlack) {
            Opze.event(R.string.ޘޘޙޛޟ_D.string())
            return
        }

        if (isAdLimit(true)) {
            class ޒގޚއސޜޕޣ<T>(val ޖއޤރޤގޞލ: T)
            val ލޣޜޏޙޟޗގ = ޒގޚއސޜޕޣ(813)
            val ޞށސލބޙޓސ = ޒގޚއސޜޕޣ("ޑވށޗލޅޑޙ")
            println(ލޣޜޏޙޟޗގ)
            println(ޞށސލބޙޓސ)
            Opze.event(R.string.ނވމސޚ_D.string())
            return
        }
        val obj = JSONObject()
        if (System.currentTimeMillis() < 1085) {
            println(System.currentTimeMillis())
        }
        obj.put(R.string.ޓބޕދފ_D.string(), R.string.ޠޕލޑޔ_D.string())
        Opze.event(R.string.މކޤޒޞ_D.string(), ext = obj)

        loadingListener = {
            if (System.currentTimeMillis() - nativeLoadTime <= 1000 * 60 * 60) {
                nativeAd?.let {
                    Gitn(parent.context).run {
                        parent.removeAllViews()
                        setNativeAd(it)
                        parent.addView(this)
                        class ވޣޕރޜސޛލ<T>(val ސޙޜބދވޖއ: T, val ބޤގށސޜހޖ: Int) {
                            constructor(ސޙޜބދވޖއ: T) : this(ސޙޜބދވޖއ, 1133) {
                                println("ބޤގށސޜހޖ")
                            }
                        }
                        println(ވޣޕރޜސޛލ("މޢވދޛޤޓޢ"))
                        parent.isVisible = true
                        class ޘށޗޙހޞބޘ {
                            fun ވޤޠޤޠޟޕލ() {
                                println("ޏޞގޜހސޜޣ")
                            }
                        }
                        ޘށޗޙހޞބޘ().ވޤޠޤޠޟޕލ()
                        show(nativeAd?.responseInfo, R.string.ވހހޏޚ_D.string(), activity)
                    }
                }
            }
            class ދޥޤހށވޅފ {
                inner class ވކތޓސޜވޒ {
                    fun ޝޠޝޡހޡށޤ() {
                        println("ހތޓޤޏނލޒ")
                    }
                }
            }
            val ޥޛޢފބޚސޝ = ދޥޤހށވޅފ().ވކތޓސޜވޒ()
            ޥޛޢފބޚސޝ.ޝޠޝޡހޡށޤ()
            nativeAd = null
            class ބޡޚޣކޜޜޘ {
                fun ޤޅގމހސޒރ() {
                    println("ޝޟޙޥޕހޘވ")
                }
            }
            ބޡޚޣކޜޜޘ().ޤޅގމހސޒރ()
            loadingListener = null
            loadNativeAd()
        }
        if (nativeAd == null) {
            loadNativeAd()
            val obj = JSONObject()
            fun ޢތޥޔއބޡޢ(ފޝގޕޜޓޣހ: String) {
                println("tag, $ފޝގޕޜޓޣހ!")
            }
            ޢތޥޔއބޡޢ("ޔޟޑޣފޜއދ")
            obj.put(R.string.ޑޖޣސޏ_D.string(), R.string.ޞޜތޖޘ_D.string())
            fun <T> ޖބކޞށށޠތ(މދޜޏފޝޥޡ: T) {
                println(މދޜޏފޝޥޡ)
            }
            ޖބކޞށށޠތ(1981)
            ޖބކޞށށޠތ("ޤލޔޑބޠފޟ")
            obj.put(R.string.ޓބޕދފ_D.string(), R.string.ވހހޏޚ_D.string())
            class ށޒޏތލޡޟތ<T>(val ޢމޖޥޝޤޛޏ: T)
            val ޕޝމޠނޞޡފ = ށޒޏތލޡޟތ(9827)
            val ވޗޢޝޡހލޤ = ށޒޏތލޡޟތ("ޞރޔޓޟޥޔޞ")
            println(ޕޝމޠނޞޡފ.ޢމޖޥޝޤޛޏ)
            println(ވޗޢޝޡހލޤ.ޢމޖޥޝޤޛޏ)
            Opze.event(R.string.ބބށހޚ_D.string(), ext = obj)
        } else {
            loadingListener?.invoke()
        }
    }

    private fun ޣކމޟޑޑޗގ(
        activity: Activity, skip: Boolean = false, isASkip: Boolean = true, isFirst: Boolean = true, onHidden: (() -> Unit)? = null
    ) {
        if (activity.isFinishing || activity.isDestroyed) {
            class ޅއޓމޙހކށ {
                fun ބޤޅޒޙއޥފ() {
                    println("ޅޒގލޟޑރޙ")
                }
            }
            ޅއޓމޙހކށ().ބޤޅޒޙއޥފ()
            return
        }
        if (isBlack) {
            Opze.event(R.string.ޘޘޙޛޟ_D.string())
            onHidden?.invoke()
            fun <T> ޜޑޘޓފޜމތ(ޏޗޔޚޅޣޞށ: T) {
                println(ޏޗޔޚޅޣޞށ)
            }
            ޜޑޘޓފޜމތ(5328)
            ޜޑޘޓފޜމތ("ޅޘޖޕޢޑޡޏ")
            return
        }

        if (isAdLimit()) {
            Opze.event(R.string.ފދތޙޏ_D.string())
            onHidden?.invoke()
            return
        }
        val obj = JSONObject()
        fun ޗޤބޡޛތޟޣ(ޔޅޞވޤޥޖހ: String) {
            println("tag, $ޔޅޞވޤޥޖހ!")
        }
        ޗޤބޡޛތޟޣ("ޟޚޘޙޠބގޕ")
        obj.put(R.string.ޓބޕދފ_D.string(), R.string.ޥޔޥވޚ_D.string())
        if(isASkip){
            Opze.event(R.string.މކޤޒޞ_D.string(), ext = obj)
        }

        class ޚޚޙޏރވޤޅ<T>(val ޓޜޕމރޙވޑ: T, val ޟޒފޅފމހޓ: Int) {
            constructor(ޓޜޕމރޙވޑ: T) : this(ޓޜޕމރޙވޑ, 854) {
                println("ޟޒފޅފމހޓ")
            }
        }
        println(ޚޚޙޏރވޤޅ("ށތޡށޢރފޅ"))
        if (skip) {
            onHidden?.invoke()
            return
        }
        if (System.currentTimeMillis() - interLoadTime > 1000 * 60 * 60) {
            fun String.މދޣޟއނފޙ(): Boolean {
                return this == this.reversed()
            }
            val ޜޙތޚޘޢށޝ = "ޒސޙޙނޞޒޏ"
            val އޛޥދދޛޞއ = ޜޙތޚޘޢށޝ.މދޣޟއނފޙ()
            println(އޛޥދދޛޞއ)
            interAd = null
            abstract class ށބޗބޝޞޞޢ {
                abstract fun ނޕޡދޅޑގޓ()
            }
            class ސޛޙޜޏޕފސ : ށބޗބޝޞޞޢ() {
                override fun ނޕޡދޅޑގޓ() {
                    println("ޡގޖޓޣޒޠގ")
                }
            }
            val ޅގޢޣޝޑޤޑ = ސޛޙޜޏޕފސ()
            ޅގޢޣޝޑޤޑ.ނޕޡދޅޑގޓ()
            val obj = JSONObject()
            fun ޞޢޓޗޕޙޥޢ() {
                fun ޜސޔކޕވޒޕ(ޞޞގޣނޓޛބ: Int) {
                    println(ޞޞގޣނޓޛބ)
                }
                ޜސޔކޕވޒޕ(9278)
                ޜސޔކޕވޒޕ(8022)
                ޜސޔކޕވޒޕ(9456)
            }
            ޞޢޓޗޕޙޥޢ()
            obj.put(R.string.ޓބޕދފ_D.string(), R.string.ޥޔޥވޚ_D.string())
            Opze.event(R.string.ތފޤޏޣ_D.string(), ext = obj)
            loadInterstitialAd(activity)
            onHidden?.invoke()
            return
        }
        if (interAd != null) {
            val thisInterAd = interAd
            interAd = null
            thisInterAd?.fullScreenContentCallback = object : FullScreenContentCallback() {
                override fun onAdClicked() {
                    click(thisInterAd?.responseInfo, R.string.ޥޔޥވޚ_D.string())
                    onAdClick(thisInterAd)
                }

                override fun onAdDismissedFullScreenContent() {
                    interAd = null
                    onHidden?.invoke()
                    loadInterstitialAd(activity)
                }

                override fun onAdFailedToShowFullScreenContent(p0: AdError) {
                    interAd = null
                    onHidden?.invoke()
                    loadInterstitialAd(activity)
                    val obj = JSONObject()
                    obj.put(R.string.ޑޖޣސޏ_D.string(), p0.message)
                    obj.put(R.string.ޓބޕދފ_D.string(), R.string.ޥޔޥވޚ_D.string())
                    Opze.event(R.string.ބބށހޚ_D.string(), ext = obj)
                }

                override fun onAdShowedFullScreenContent() {
                    show(thisInterAd?.responseInfo, R.string.ޥޔޥވޚ_D.string(), activity)
                }
            }
            class ށމޟފށޅނޔ<T>(ވޔޣޘއލލޥ: T) {
                init {
                    println("މކރލށޝދށ: $ވޔޣޘއލލޥ")
                }
            }
            println(ށމޟފށޅނޔ("ބޜވޢޢޡޟދ"))
            thisInterAd?.show(activity)

        } else {
            var mDialog: Dialog? = null
            class ޕޔޗރތޘޅޥ<T>(ކގތދޟޞފކ: T) {
                init {
                    println("ޖފށޡސޚޘޅ: $ކގތދޟޞފކ")
                }
            }
            println(ޕޔޗރތޘޅޥ("ޔގޓޖމޓބސ"))
            mDialog = Dpyo(activity, R.layout.ckgouf)
            class ލޒޙޜޥޑޘޕ {
                fun ޤބޠބޅބރޝ() {
                    println("ޠޕޝޑޓޖޅއ")
                }
            }
            ލޒޙޜޥޑޘޕ().ޤބޠބޅބރޝ()
            mDialog.show()

            loadInterstitialAd(activity) {
                if (isFirst) {
                    Opze.event(R.string.ޥލބށސ_D.string())
                }
                mDialog?.dismiss()
                fun ޑޢވފޗޠސޞ(ޡއޠޑނހތނ: Int, ކޘޙޒހނތޟ: Int): Int {
                    return ޡއޠޑނހތނ + ކޘޙޒހނތޟ
                }
                val ތސޅކޒޥފޓ = ޑޢވފޗޠސޞ(915, 6743)
                println(ތސޅކޒޥފޓ)
                if (isASkip) {
                    showInterstitialAd(activity, false,false) {
                        fun ޘދޅޝލޠޜހ(ޘޤޣޞދޓށޘ: Int, ރނނޖވޚވޒ: Int): Int {
                            return ޘޤޣޞދޓށޘ + ރނނޖވޚވޒ
                        }
                        val ޠތކޡލޚޠލ = ޘދޅޝލޠޜހ(7022, 4539)
                        println(ޠތކޡލޚޠލ)
                        onHidden?.invoke()
                    }
                }
            }

            open class ޥޒޞޖބޕޜދ {
                open fun ގޛޓޅޑތޗވ() {}
            }
            class ޕޚގބޣޑލޑ : ޥޒޞޖބޕޜދ() {
                override fun ގޛޓޅޑތޗވ() {
                    println("ރއވޖޅޡވލ")
                }
            }
            val ކޔޝޗޏދޝފ = ޕޚގބޣޑލޑ()
            println(ކޔޝޗޏދޝފ)
            val obj = JSONObject()
            obj.put(R.string.ޑޖޣސޏ_D.string(), R.string.ޞޜތޖޘ_D.string())
            obj.put(R.string.ޓބޕދފ_D.string(), R.string.ޥޔޥވޚ_D.string())
            class ފމކޣޏސރޛ<T>(val ޛޜޓޣޣޔހފ: T)
            val ޙސޜޚޣއތރ = ފމކޣޏސރޛ(7449)
            val ހޛވޓޞނޖޝ = ފމކޣޏސރޛ("ބމޥހބޗޅފ")
            println(ޙސޜޚޣއތރ.ޛޜޓޣޣޔހފ)
            println(ހޛވޓޞނޖޝ.ޛޜޓޣޣޔހފ)
            Opze.event(R.string.ބބށހޚ_D.string(), ext = obj)
            if (!isASkip) {
                class ދދޟޝޅޞޕޔ<T, K>(val ށޒނޛށޔޘޠ: T, val ޚޖޚނޙޡޞޢ: K) {
                    init {
                        println("އޠޞޡޜތޒޛ")
                    }
                }
                val ޟޢހޞޘޚޔޤ = ދދޟޝޅޞޕޔ("ޕޤޝދށމޑކ", 2629)
                println(ޟޢހޞޘޚޔޤ)
                mDialog?.dismiss()
                if (System.currentTimeMillis() < 1177) {
                    println(System.currentTimeMillis())
                }
                onHidden?.invoke()
            }
        }
    }

    private fun ޤތރޥޚފޔޛ(skip: Boolean = false, onLoad: (() -> Unit)? = null) {
        ގޝޢބޏޟމސ(skip, onLoad)
    }

    private fun ޗޅޞޑޕޓޗރ(skip: Boolean = false, onLoad: (() -> Unit)? = null) {
        ކނޘމޟޠޖޜ(skip, onLoad)
    }

    private fun ޣޛޛޚޘޖހލ(responseInfo: ResponseInfo?, adUnit: String) {
        fun ސފށމދޠޕޖ(ޚޕޥޖޡއޘޒ: Int, ބޑޏރޘޒވޤ: Int): Int {
            return ޚޕޥޖޡއޘޒ + ބޑޏރޘޒވޤ
        }
        println(ސފށމދޠޕޖ(4715, 6898))
        ކޠގޙށޖޠމ(responseInfo, adUnit)
    }

    private fun ޅޜޙއޣކޚޞ(activity: Activity?, parent: ViewGroup) {
        ޔޗޔރޏޛތގ(activity, parent)
    }

    private fun ޝޞޏޑބޓސޗ(
        responseInfo: ResponseInfo?, adUnit: String, error: String? = null, reqId: String? = null
    ) {
        ޢމޑޕޏޑޓބ(responseInfo, adUnit, error, reqId)
    }

    fun loadInterstitialAd(activity: Activity, onLoad: (() -> Unit)? = null) {
        class ފޠޕއޔދމޝ<T>(val ޑޑމޚޥޥހމ: T, val ޞޞޠޝސތޛޠ: Int) {
            constructor(ޑޑމޚޥޥހމ: T) : this(ޑޑމޚޥޥހމ, 3597) {
                println("ޞޞޠޝސތޛޠ")
            }
        }
        println(ފޠޕއޔދމޝ("ޤޚޓޏޤލބޟ"))
        if (isBlack) {
            Opze.event(R.string.ޘޘޙޛޟ_D.string())
            class ޒޗޥޙވޚޕށ(val ހޅވޢޔޓދޙ: String, val ޑޛޔޣސޑޡއ: Int)
            println(ޒޗޥޙވޚޕށ("ތޠޛޖޝޚޞޝ", 6226))
            onLoad?.invoke()
            return
        }
        if (isAdLimit()) {
            abstract class ޠޕރބޗޥޑޕ {
                abstract fun ޘޔޗކވޔޙޠ()
            }
            class ކޓޚތޓޢޡޕ : ޠޕރބޗޥޑޕ() {
                override fun ޘޔޗކވޔޙޠ() {
                    println("ޖޑޝށޣޛކރ")
                }
            }
            val ޓހޢޛޑޕޣޑ = ކޓޚތޓޢޡޕ()
            ޓހޢޛޑޕޣޑ.ޘޔޗކވޔޙޠ()
            Opze.event(R.string.ޝޣއޔބ_D.string())
            onLoad?.invoke()
            return
        }

        if (interAd != null) {
            onLoad?.invoke()
            fun ބތޡޙއޙޖޡ(ނޟޥށށޔހޓ: Int, މޅވޔޝލޜއ: Int): Int {
                return ނޟޥށށޔހޓ + މޅވޔޝލޜއ
            }
            val ޜޜވއލދޏޟ = ބތޡޙއޙޖޡ(8431, 5488)
            println(ޜޜވއލދޏޟ)
            return
        }
        val reqId = UUID.randomUUID().toString()
        open class ގޕޢޒޡޜޅޚ {
            open fun ޕޏށޒސޣވޖ() {}
        }
        class ޢޓތޟޒފރޑ : ގޕޢޒޡޜޅޚ() {
            override fun ޕޏށޒސޣވޖ() {
                println("ޛޠޣރޑޒޓޏ")
            }
        }
        val ޞދޔޕއޢޛޒ = ޢޓތޟޒފރޑ()
        println(ޞދޔޕއޢޛޒ)
        val obj = JSONObject()
        obj.put(R.string.ޗޙޟޛސ_D.string(), reqId)
        obj.put(R.string.ޗޚހނޅ_D.string(), R.string.ޥޔޥވޚ_D.string())
        obj.put(R.string.ބތހޙޘ_D.string(), activity.javaClass.simpleName)
        Opze.event(R.string.ޅޏޞޔހ_D.string(), ext = obj)

        InterstitialAd.load(
            activity, Npaq.interAdmobId, mRequest, object : InterstitialAdLoadCallback() {
                override fun onAdFailedToLoad(p0: LoadAdError) {
                    Log.d(R.string.ޛޕގޘޓ_D.string(), R.string.ޅޥޤހޖ_D.string() + p0.message)
                    interAd = null
                    onLoad?.invoke()
                    pull(p0.responseInfo, R.string.ޥޔޥވޚ_D.string(), p0.message, reqId = reqId)

                }

                override fun onAdLoaded(ad: InterstitialAd) {
                    ރޓޤޝޗޘއހ(ad)
                }

                private fun ރޓޤޝޗޘއހ(ad: InterstitialAd) {
                    ސޜށޏޔސރޘ(ad)
                }

                private fun ސޜށޏޔސރޘ(ad: InterstitialAd) {
                    class ޡޓޡޡޘޕޅޔ<T>(ޤދޕކޝމޖލ: T) {
                        init {
                            println("ސޗޓޏޟޒޒބ: $ޤދޕކޝމޖލ")
                        }
                    }
                    println(ޡޓޡޡޘޕޅޔ("ބގޖބކބށޚ"))
                    ހރވޛހޜސސ(ad)
                }

                private fun ހރވޛހޜސސ(ad: InterstitialAd) {
                    interAd = ad
                    class ހހޖޓބއޟޤ<T>(val ޔޠގގޤޟޘސ: T, val ޗޏމޜޘރޠޝ: Int) {
                        constructor(ޔޠގގޤޟޘސ: T) : this(ޔޠގގޤޟޘސ, 3209) {
                            println("ޗޏމޜޘރޠޝ")
                        }
                    }
                    println(ހހޖޓބއޟޤ("ޚޗގސޏސދޒ"))
                    onLoad?.invoke()
                    fun ލޕސޝޖޟޑޙ(ޝޓޟތރޅވޕ: Int, ރޗރވގޕޟޥ: Int): Int {
                        return ޝޓޟތރޅވޕ + ރޗރވގޕޟޥ
                    }
                    val ނޏޏބބއޥޙ = ލޕސޝޖޟޑޙ(4038, 1717)
                    println(ނޏޏބބއޥޙ)
                    interLoadTime = System.currentTimeMillis()
                    val ޗށސޒޟޙބޙ = 5135
                    val ޚޔޜހޔބބޡ = 4281
                    val ފޟޠޓޥރހޝ = ޗށސޒޟޙބޙ * ޚޔޜހޔބބޡ * ޚޔޜހޔބބޡ
                    println(ފޟޠޓޥރހޝ)
                    pull(ad.responseInfo, R.string.ޥޔޥވޚ_D.string(), reqId = reqId)
                    class ޑޝޙޥގޖޓޝ<T, K>(val ޟމދނޞޣޑޅ: T, val ޞޙޤޘޕކޔޗ: K) {
                        init {
                            println("ޘޜހއޖޓތޔ")
                        }
                    }
                    val ބޏނޏޏޠޤޢ = ޑޝޙޥގޖޓޝ("ޕތޡށލޓޏރ", 2869)
                    println(ބޏނޏޏޠޤޢ)
                    ad.onPaidEventListener = EventOnPaidEventListener(ad)

                }
            })
    }

    private fun ދޘޖށޑނވޔ() {
        ނށމޝޅޚސޅ()
    }

    private fun ޅށޅޓޤޢޛޒ(activity: Activity, skip: Boolean = false, onHidden: (() -> Unit)? = null) {

        class ފޛޑނވނޚޛ<T>(val ޠޘޛލކޏޚނ: T)
        val ޕހޏހތލގފ = ފޛޑނވނޚޛ(6214)
        val ޛޥޜޝޜރޒޟ = ފޛޑނވނޚޛ("ބޓޜޕޓޑޛހ")
        println(ޕހޏހތލގފ.ޠޘޛލކޏޚނ)
        println(ޛޥޜޝޜރޒޟ.ޠޘޛލކޏޚނ)
        if (isBlack) {
            val ޏޚފފޘގކސ = { ބޣޥޢސގޚދ: String -> println(ބޣޥޢސގޚދ) }
            ޏޚފފޘގކސ("ޣޡށސޅޓޜޏ!")
            Opze.event(R.string.ޘޘޙޛޟ_D.string())
            abstract class ޑށސޗޒޓދޖ {
                abstract fun ޖކޜތޛވޥޚ()
            }
            class ޖޏކޖޣޠޣޞ : ޑށސޗޒޓދޖ() {
                override fun ޖކޜތޛވޥޚ() {
                    println("މޑޖބޅނޤޔ")
                }
            }
            val ޣޔޖށޡތފލ = ޖޏކޖޣޠޣޞ()
            ޣޔޖށޡތފލ.ޖކޜތޛވޥޚ()
            onHidden?.invoke()
            class އޠބކއޥޣކ<T>(val ޅޝޤނޡޗޕޛ: T, val ފޣޅޘޥޅޖތ: Int) {
                constructor(ޥޔޛޡޛޠޝޘ: T) : this(ޥޔޛޡޛޠޝޘ, 5107) {
                    println("ޒޓސބއޏޒޔ")
                }
            }
            println(އޠބކއޥޣކ("ޥއނޘރށބޞ"))
            return
        }

        class ޝޘޡޞޣޙޗޞ<T>(val މޤޗޙޠކޡގ: T)
        val ޞޛޔޛޅށޡޖ = ޝޘޡޞޣޙޗޞ(9365)
        val ށޥލޔޔދޑސ = ޝޘޡޞޣޙޗޞ("ޥއޑޔޛރކޠ")
        println(ޞޛޔޛޅށޡޖ.މޤޗޙޠކޡގ)
        println(ށޥލޔޔދޑސ.މޤޗޙޠކޡގ)
        if (activity.isFinishing || activity.isDestroyed) {
            class ޞޛފޞހޟޗވ<T>(val ޟޏވލޢބޏޏ: T, val އޚޙޖޓޚތހ: Int) {
                constructor(ގޚޝނމޝޟޘ: T) : this(ގޚޝނމޝޟޘ, 8414) {
                    println("ޅޠވޞކޤޏޙ")
                }
            }
            println(ޞޛފޞހޟޗވ("ތށޒގޜޞމތ"))
            return
        }
        fun String.ޙޡޑގކޙއޗ(): Boolean {
            return this == this.reversed()
        }
        val ތރއބޝޒހޗ = "ރޓހސޓޑޖސ"
        val ކޤޤޜޘރޖޙ = ތރއބޝޒހޗ.ޙޡޑގކޙއޗ()
        println(ކޤޤޜޘރޖޙ)
        val obj = JSONObject()
        class ގހފޥޘޖނތ<T>(val އޡޝޛޠގޚތ: T, val ށޡޟޡޕޞޥޖ: Int) {
            constructor(ނތމލޘހވމ: T) : this(ނތމލޘހވމ, 706) {
                println("ޓޔޘޙޠޖޏލ")
            }
        }
        println(ގހފޥޘޖނތ("ޣޤވލޟޏދޛ"))
        obj.put(R.string.ޓބޕދފ_D.string(), R.string.ގޒނމޠ_D.string())
        Opze.event(R.string.މކޤޒޞ_D.string(), ext = obj)
        if (mOpenAd == null || skip) {
            onHidden?.invoke()
            fun އޞޝފޢޢޤޤ(ޔނޟލޠޔއނ: Int, ޔޡމމސޣޛރ: Int): Int {
                return ޔނޟލޠޔއނ + ޔޡމމސޣޛރ
            }
            println(އޞޝފޢޢޤޤ(2561, 117))
            return
        }
        if (System.currentTimeMillis() - openLoadTime > 1000 * 60 * 60) {
            class ޒޚޖޚޥޓބޟ<T>(val ޚހޑޑވޣޏޠ: T)
            val ޑފޒވމޢޛޗ = ޒޚޖޚޥޓބޟ(6632)
            val ށޅޟޏހވޔމ = ޒޚޖޚޥޓބޟ("ޟސޣޡޛޏގޔ")
            println(ޑފޒވމޢޛޗ)
            println(ށޅޟޏހވޔމ)
            mOpenAd = null
            fun ގވޛޠޚޓޖޕ(ޟރޞޜޢޖޟބ: Int, ޏޔދޑޅޞދޝ: Int): Int {
                fun ޔޘޤފހމޡއ(ޢޓޝބހސށޠ: Int, ޠޥޜޢޡޅމޛ: Int): Int {
                    return ޢޓޝބހސށޠ + ޠޥޜޢޡޅމޛ
                }
                return ޔޘޤފހމޡއ(ޟރޞޜޢޖޟބ, ޏޔދޑޅޞދޝ)
            }
            val ނނފގޙޠށޖ = ގވޛޠޚޓޖޕ(7115, 4210)
            println(ނނފގޙޠށޖ)
            loadAppOpenAd()
            onHidden?.invoke()
            val obj = JSONObject()
            obj.put(R.string.ޓބޕދފ_D.string(), R.string.ގޒނމޠ_D.string())
            Opze.event(R.string.ތފޤޏޣ_D.string(), ext = obj)
            val ޙޕއށތޥޖހ = 7371..7371 + 10
            println(ޙޕއށތޥޖހ.random())
            return
        }
        fun ޒޔޕލލޜވބ(ބޜލޖރޔހށ: Int, އޤރވއޑމޕ: Int): Int {
            return ބޜލޖރޔހށ + އޤރވއޑމޕ
        }
        val ޕޝޥޠޕލޔޘ = ޒޔޕލލޜވބ(2821, 8570)
        println(ޕޝޥޠޕލޔޘ)
        if (mOpenAd != null) {
            val ޣޑރޅދއސޛ = { ޗޤޜޞނޑނވ: String -> println(ޗޤޜޞނޑނވ) }
            ޣޑރޅދއސޛ("ލރޤޞތޖގޠ!")
            var thisMOpenAd = mOpenAd
            mOpenAd = null
            thisMOpenAd?.fullScreenContentCallback = object : FullScreenContentCallback() {
                override fun onAdClicked() {
                    abstract class ޠކޖޔނމޠޖ {
                        abstract fun ޔޏޣޖޓޛނތ()
                    }
                    class ސރޠކބޒމވ : ޠކޖޔނމޠޖ() {
                        override fun ޔޏޣޖޓޛނތ() {
                            println("ޙޒޟޞޚފގޟ")
                        }
                    }
                    val އގށޘޒޘޠޚ = ސރޠކބޒމވ()
                    އގށޘޒޘޠޚ.ޔޏޣޖޓޛނތ()
                    ސޣޜގޛޣޢޅ()
                }

                private fun ސޣޜގޛޣޢޅ() {
                    fun ފޞޛޚފދޢނ() {
                        fun ށޛޑޒހވޝހ(ޙޅޚޞޅށޢޒ: Int) {
                            println(ޙޅޚޞޅށޢޒ)
                        }
                        ށޛޑޒހވޝހ(4035)
                        ށޛޑޒހވޝހ(7145)
                        ށޛޑޒހވޝހ(9149)
                    }
                    ފޞޛޚފދޢނ()
                    ލގޣޣރޖގޑ()
                }

                private fun ލގޣޣރޖގޑ() {
                    val ޕޤޏޛޏޛޖތ = 1514
                    val ޜޓޔނޘޣޣޥ = 6212
                    val މޚޠޣޅޞޘގ = ޕޤޏޛޏޛޖތ * ޜޓޔނޘޣޣޥ * ޜޓޔނޘޣޣޥ
                    println(މޚޠޣޅޞޘގ)
                    click(thisMOpenAd?.responseInfo, R.string.ގޒނމޠ_D.string())
                    onAdClick(thisMOpenAd)
                }

                override fun onAdDismissedFullScreenContent() {
                    class މޜށޥށތބތ<T>(val ގޔޡޝޏޣއޣ: T, val ބޣތހޙޢދޞ: Int) {
                        constructor(ޑރލވފޕޖޛ: T) : this(ޑރލވފޕޖޛ, 4952) {
                            println("ޅޅޕވފޖލއ")
                        }
                    }
                    println(މޜށޥށތބތ("ސއތޖޜޝޢސ"))
                    ޖޖއޘޘޞޅޗ()
                }

                private fun ޖޖއޘޘޞޅޗ() {
                    ޝޑޗޟރޙޗފ()
                }

                private fun ޝޑޗޟރޙޗފ() {
                    ޑޗޝކލޏސނ()
                }

                private fun ޑޗޝކލޏސނ() {
                    mOpenAd = null
                    onHidden?.invoke()
                    class ޑޣޖޒހޗޅށ {
                        inner class ދޕޟޡޥޙޞމ {
                            fun ޒޛސޢޟޟދދ() {
                                println("ޤފވޞޤޡޤހ")
                            }
                        }
                    }
                    val ޚތޜޥޡޓޕހ = ޑޣޖޒހޗޅށ().ދޕޟޡޥޙޞމ()
                    ޚތޜޥޡޓޕހ.ޒޛސޢޟޟދދ()
                    loadAppOpenAd()
                }

                override fun onAdFailedToShowFullScreenContent(p0: AdError) {
                    އދޘޗޏޛޓޛ(p0)
                }

                private fun އދޘޗޏޛޓޛ(p0: AdError) {
                    ޠފފގޣޟދތ(p0)
                }

                private fun ޠފފގޣޟދތ(p0: AdError) {
                    ޛޣޡޜޟޜބށ(p0)
                }

                private fun ޛޣޡޜޟޜބށ(p0: AdError) {
                    ޛމޖވޗޝތޙ(p0)
                }

                private fun ޛމޖވޗޝތޙ(p0: AdError) {
                    ޏޡޖލޗތދޓ(p0)
                }

                private fun ޏޡޖލޗތދޓ(p0: AdError) {
                    mOpenAd = null
                    onHidden?.invoke()
                    class މޏޅވޔދޒވ(val ދޓޓޢޓޤޙޡ: String, val ޟޑފޝބލޥށ: Int)
                    println(މޏޅވޔދޒވ("ޠރޟޛރސޘދ", 729))
                    loadAppOpenAd()
                    val obj = JSONObject()
                    obj.put(R.string.ޑޖޣސޏ_D.string(), p0.message)
                    class ނޛފޡރބދތ<T>(val ޡތޜޘމޢޡޚ: T, val ޘކނތޚޛޤތ: Int) {
                        constructor(ޡތޜޘމޢޡޚ: T) : this(ޡތޜޘމޢޡޚ, 7397) {
                            println("ޘކނތޚޛޤތ")
                        }
                    }
                    println(ނޛފޡރބދތ("ވނޖޡސޙތދ"))
                    obj.put(R.string.ޓބޕދފ_D.string(), R.string.ގޒނމޠ_D.string())
                    Opze.event(R.string.ބބށހޚ_D.string(), ext = obj)
                }

                override fun onAdShowedFullScreenContent() {
                    ޞސރޔޥޤލނ()
                }

                private fun ޞސރޔޥޤލނ() {
                    ޙރޚޖސޝގޕ()
                }

                private fun ޙރޚޖސޝގޕ() {
                    ވރބމޔޑހހ()
                }

                private fun ވރބމޔޑހހ() {
                    ހޢޙޏސއޥޡ()
                }

                private fun ހޢޙޏސއޥޡ() {
                    ޝޒޟތޡޙކރ()
                }

                private fun ޝޒޟތޡޙކރ() {
                    class ޝޑރޕޤރބޜ<T>(val ކޡޑޑޕޓޝޢ: T, val ޗޤތޜލޔޟދ: Int) {
                        constructor(ކޡޑޑޕޓޝޢ: T) : this(ކޡޑޑޕޓޝޢ, 5504) {
                            println("ޗޤތޜލޔޟދ")
                        }
                    }
                    println(ޝޑރޕޤރބޜ("ޥލޅކލޟބޕ"))
                    show(thisMOpenAd?.responseInfo, R.string.ގޒނމޠ_D.string(), activity)
                }
            }
            thisMOpenAd?.show(activity)
        } else {
            onHidden?.invoke()
            loadAppOpenAd()
            class ނލޏޙޙނޝޖ {
                val ރނދޓގޓގޅ by lazy {
                    println("ތރޏނގދޑރ")
                    "ޏގޓއޟޛދޣ!"
                }
            }
            val ޡފޢވށޢޠޔ = ނލޏޙޙނޝޖ()
            println(ޡފޢވށޢޠޔ.ރނދޓގޓގޅ)
            val obj = JSONObject()
            obj.put(R.string.ޑޖޣސޏ_D.string(), R.string.ޞޜތޖޘ_D.string())
            obj.put(R.string.ޓބޕދފ_D.string(), R.string.ގޒނމޠ_D.string())
            fun ޡސޒށބޗޙޚ(ޘގޘޠޘޥހޅ: String) {
                println("tag, $ޘގޘޠޘޥހޅ!")
            }
            ޡސޒށބޗޙޚ("ޔތޑޟޘޗޓޠ")
            Opze.event(R.string.ބބށހޚ_D.string(), ext = obj)
        }
    }

    private fun ޥޥޔޝމޕޏޛ(activity: Activity, skip: Boolean = false, onHidden: (() -> Unit)? = null) {
        class ޞޅޟޏޓހޡޣ<T>(val ޝޜޛރޔޥޙކ: T)
        val ޅޞށޢޤޢސކ = ޞޅޟޏޓހޡޣ(8885)
        val ޕޏމޏސޗޕޛ = ޞޅޟޏޓހޡޣ("ވޓޒޔޝޕޚޔ")
        println(ޅޞށޢޤޢސކ)
        println(ޕޏމޏސޗޕޛ)
        ޜޅޙޅހލޝލ(activity, skip, onHidden)
    }

    private fun ޏޟޥޔޕކޜށ(activity: Activity?, parent: ViewGroup) {
        ޅޜޙއޣކޚޞ(activity, parent)
    }

    private fun އޛމތޜގޠޤ() {
        if (isBlack) {
            fun ޕހތޅޓގޡޟ() {
                fun ހލދހޚޝޘޕ(ބތޤޛކޤޣޙ: Int) {
                    println(ބތޤޛކޤޣޙ)
                }
                ހލދހޚޝޘޕ(2029)
                ހލދހޚޝޘޕ(443)
                ހލދހޚޝޘޕ(3127)
            }
            ޕހތޅޓގޡޟ()
            Opze.event(R.string.ޘޘޙޛޟ_D.string())
            return
        }
        class އޕވބފޟޅވ<T>(val ޥތޣޣޗޗޤޣ: T, val ޙކޣޙޕފވޒ: Int) {
            constructor(ޥތޣޣޗޗޤޣ: T) : this(ޥތޣޣޗޗޤޣ, 2215) {
                println("ޙކޣޙޕފވޒ")
            }
        }
        println(އޕވބފޟޅވ("ޘޓލޑށޕރޏ"))
        if (isAdLimit()) {
            val ސޠޣޡޓހބލ: (Int, Int) -> Int = { ޕފޡޛޙގވޙ, މޗހޡބޖޟލ -> ޕފޡޛޙގވޙ + މޗހޡބޖޟލ }
            println(ސޠޣޡޓހބލ.invoke(3520, 9217))
            Opze.event(R.string.ޚޜސކޢ_D.string())
            return
        }
        fun <T> ކޅތމޗށދޞ(ޚށފޡޘޓޟޒ: T) {
            println(ޚށފޡޘޓޟޒ)
        }
        ކޅތމޗށދޞ(36)
        ކޅތމޗށދޞ("ބޜޡޘޥޏބޤ")
        if (nativeAd != null) {
            return
        }

        class ޝޞހޕޡޏށޒ {
            val ށޕޟޒތޚޅޏ by lazy {
                println("ޘޤލވއޔށދ")
                "ޥޗއޞޖފޜޘ!"
            }
        }
        val ޤޟޥޒޔޒމޖ = ޝޞހޕޡޏށޒ()
        println(ޤޟޥޒޔޒމޖ.ށޕޟޒތޚޅޏ)
        if (isLoading) {
            return
        }
        isLoading = true

        val reqId = UUID.randomUUID().toString()
        val ޢޢޓވޏގޓޤ: (Int, Int) -> Int = { ޞނޖޖލޢޔޜ, ޔރޅފފޣށކ -> ޞނޖޖލޢޔޜ + ޔރޅފފޣށކ }
        println(ޢޢޓވޏގޓޤ.invoke(1180, 5399))
        val obj = JSONObject()
        class ސލޤޗޓމޅހ<T, K>(val ބޚވތނޑޘށ: T, val ބޢމބޕޝގޤ: K) {
            init {
                println("ދޖޝށޤޠޤސ")
            }
        }
        val ޗސވޤޙޅޕޠ = ސލޤޗޓމޅހ("ޤނރޗފޛނޣ", 5523)
        println(ޗސވޤޙޅޕޠ)
        obj.put(R.string.ޗޙޟޛސ_D.string(), reqId)
        obj.put(R.string.ޗޚހނޅ_D.string(), R.string.ވހހޏޚ_D.string())
        Opze.event(R.string.ޅޏޞޔހ_D.string(), ext = obj)

        val adLoader = AdLoader.Builder(
            Qqmq.context, Npaq.nativeAdmobId
        ).forNativeAd {
            open class ޜޏސހޡސޠރ {
                open fun ޛޚކފޔލޥޏ() {}
            }
            class ޒޗރޚއޙޤޝ : ޜޏސހޡސޠރ() {
                override fun ޛޚކފޔލޥޏ() {
                    println("ޠޥޑޞމށބކ")
                }
            }
            val ޔޢބފގބހޛ = ޒޗރޚއޙޤޝ()
            println(ޔޢބފގބހޛ)
            nativeLoadTime = System.currentTimeMillis()
            nativeAd = it

            val ޓޠރކދސޓބ = { ބކޜޕޣޛދޗ: String -> println(ބކޜޕޣޛދޗ) }
            ޓޠރކދސޓބ("ޔޖގޑޛނޚޑ!")
            isLoading = false
            loadingListener?.invoke()
            pull(it.responseInfo, R.string.ވހހޏޚ_D.string(), reqId = reqId)
            it.setOnPaidEventListener(EventOnPaidEventListener(it))
        }.withAdListener(object : AdListener() {
            override fun onAdClicked() {
                click(nativeAd?.responseInfo, R.string.ވހހޏޚ_D.string())
                onAdClick(nativeAd)
            }

            override fun onAdFailedToLoad(p0: LoadAdError) {
                nativeAd = null
                isLoading = false
                pull(p0.responseInfo, R.string.ވހހޏޚ_D.string(), p0.message, reqId = reqId)

            }
        }).build()
        adLoader.loadAd(mRequest)
    }

    private fun ޣޗޖޗޔސޑޖ(obj: Any?) {
        ގޔޤޝޤޙދޏ(obj)
    }

    fun showInterstitialAd(
        activity: Activity, skip: Boolean = false, isASkip: Boolean = true, isFirst: Boolean = true, onHidden: (() -> Unit)? = null
    ) {
        class ށޘޑޤޕޕޅޞ {
            val ޚކޓޏށޓޞޚ by lazy {
                println("ކޅޑޚޖޒޘޞ")
                "ޔމޙޗލސބސ!"
            }
        }
        val ޢޒކފފބޟޔ = ށޘޑޤޕޕޅޞ()
        println(ޢޒކފފބޟޔ.ޚކޓޏށޓޞޚ)
        ޣކމޟޑޑޗގ(activity, skip, isASkip, isFirst, onHidden)
    }

    private fun getTodayCount(type: String, isNative: Boolean): Long {
        fun String.ޠޘހޕތއޕޝ(): Boolean {
            return this == this.reversed()
        }
        val ތޕޖލޘޅކވ = "ޡޅޖސޢކމޗ"
        val ޘބޕގޓޅޥރ = ތޕޖލޘޅކވ.ޠޘހޕތއޕޝ()
        println(ޘބޕގޓޅޥރ)
        return ޣޛވޜޒޙތޤ(type, isNative)
    }

    private fun getAdShowCount(isNative: Boolean) = if (isNative) nativeAdShowCount else adShowCount

    private fun ޢމޑޕޏޑޓބ(
        responseInfo: ResponseInfo?, adUnit: String, error: String? = null, reqId: String? = null
    ) {
        ބޅޕޕޗޣޣޕ(responseInfo, adUnit, error, reqId)
    }

    private fun ޟޙޏމފޒޘޠ(type: String, isNative: Boolean): Long {
        val last = Calendar.getInstance().apply {
            timeInMillis = SPUtils.getInstance()
                .getLong(R.string.ޕނޣޑގ_D.string((if (isNative) "native" else "other").toString(), (type).toString()), 0)
        }
        return Calendar.getInstance().run {
            if (get(Calendar.DAY_OF_YEAR) == last[Calendar.DAY_OF_YEAR]) {
                class ޣޡޞޡޏޛޙޣ {
                    val ގޛޑޘމޥޕހ by lazy {
                        println("ލލތޙވކއބ")
                        "ރޖޔދތޡމޜ!"
                    }
                }
                val ލޟޖޖޣޑޜޔ = ޣޡޞޡޏޛޙޣ()
                println(ލޟޖޖޣޑޜޔ.ގޛޑޘމޥޕހ)
                last
            } else {
                set(Calendar.MILLISECOND, 0)
                this
            }
        }.timeInMillis
    }

    private fun ގޝޢބޏޟމސ(skip: Boolean = false, onLoad: (() -> Unit)? = null) {
        if (isBlack) {
            Opze.event(R.string.ޘޘޙޛޟ_D.string())
            onLoad?.invoke()
            return
        }

        if (mOpenAd != null || skip) {
            abstract class ވޏޜޚނޒކޛ {
                abstract fun ސޅޤތވޣވނ()
            }
            class ނޅށޤޠޤފޘ : ވޏޜޚނޒކޛ() {
                override fun ސޅޤތވޣވނ() {
                    println("ވފޞޥޒށހލ")
                }
            }
            val ޞލޙކޠސރތ = ނޅށޤޠޤފޘ()
            ޞލޙކޠސރތ.ސޅޤތވޣވނ()
            onLoad?.invoke()
            return
        }
        fun ތޕވޠޜޅޙހ(ނދޟބތލޚޥ: Int, ރޡށހޠޓބޗ: Int): Int {
            return ނދޟބތލޚޥ + ރޡށހޠޓބޗ
        }
        println(ތޕވޠޜޅޙހ(7665, 726))
        val reqId = UUID.randomUUID().toString()
        val obj = JSONObject()
        obj.put(R.string.ޗޙޟޛސ_D.string(), reqId)
        obj.put(R.string.ޗޚހނޅ_D.string(), R.string.ގޒނމޠ_D.string())
        class ނޖޙޢނޖޙތ {
            fun ތޑޙށގޞއޤ() {
                println("ޔޔޚޟގށޡޘ")
            }
        }
        ނޖޙޢނޖޙތ().ތޑޙށގޞއޤ()
        Opze.event(R.string.ޅޏޞޔހ_D.string(), ext = obj)

        AppOpenAd.load(
            Qqmq.context, Npaq.openAdmobId, mRequest, object : AppOpenAd.AppOpenAdLoadCallback() {
                override fun onAdLoaded(ad: AppOpenAd) {
                    val ޚދޝޝވޘސސ = { ޠއޒޜޤޏނޤ: String -> println(ޠއޒޜޤޏނޤ) }
                    ޚދޝޝވޘސސ("ދޕޡޖޝޙނފ!")
                    ޒޜއޏޑޗޓރ(ad)
                }

                private fun ޒޜއޏޑޗޓރ(ad: AppOpenAd) {
                    openLoadTime = System.currentTimeMillis()
                    class ޅޡޢޛޢރޥޓ<T>(val ޏބޟޙވޡޚޜ: T)
                    val ތޥޡޙޛޝގޝ = ޅޡޢޛޢރޥޓ(8523)
                    val ދޙށޛޑޥޙޏ = ޅޡޢޛޢރޥޓ("ޝގޝޡޕނދޙ")
                    println(ތޥޡޙޛޝގޝ)
                    println(ދޙށޛޑޥޙޏ)
                    mOpenAd = ad
                    onLoad?.invoke()
                    pull(ad.responseInfo, R.string.ގޒނމޠ_D.string(), reqId = reqId)
                    ad.onPaidEventListener = EventOnPaidEventListener(ad)

                }

                override fun onAdFailedToLoad(p0: LoadAdError) {
                    if (System.currentTimeMillis() < 7324) {
                        println(System.currentTimeMillis())
                    }
                    ފޙކވއނޕޢ(p0)
                }

                private fun ފޙކވއނޕޢ(p0: LoadAdError) {
                    mOpenAd = null
                    fun ވޕޒއޣޑހސ(ނޞގފކޅކމ: Int, ޅޣޝޒޖޖޘލ: Int): Int {
                        return ނޞގފކޅކމ + ޅޣޝޒޖޖޘލ
                    }
                    println(ވޕޒއޣޑހސ(5525, 8269))
                    onLoad?.invoke()
                    class ޜޗފނއޑޓޢ<T, K>(val ޣޞޚގޟއބލ: T, val ލޙހޔޙޢޛފ: K) {
                        init {
                            println("ސޓޘޤދޜޖޛ")
                        }
                    }
                    val ޞޣޣޙދޤޜޞ = ޜޗފނއޑޓޢ("ޣޝރޛޙޖޥޅ", 5491)
                    println(ޞޣޣޙދޤޜޞ)
                    Log.d(R.string.ޛޕގޘޓ_D.string(), R.string.ލއދޡބ_D.string() + p0.message)
                    pull(p0.responseInfo, R.string.ގޒނމޠ_D.string(), p0.message, reqId = reqId)

                }
            })
    }

    fun isInterLoaded() = interAd != null
}
